Loading...
Searching...
No Matches
Dune::SubGridPart< GridImp > Class Template Reference

A class to represent a part of a grid, similar to a GridView. More...

`#include <SubGridPart.hpp>`

## Classes

struct | Codim
| Codim Structure. More...

## Public Types

enum | { conforming = Traits::conforming }
enum | { dimension = GridImp::dimension }
using | Traits = SubGridPartTraits<GridImp>
using | Grid = typename Traits::Grid
| type of the grid
using | IndexSet = typename Traits ::IndexSet
| type of the index set
using | Intersection = typename Traits ::Intersection
| type of the intersection
using | IntersectionIterator = typename Traits ::IntersectionIterator
| type of the intersection iterator
using | CollectiveCommunication = typename Traits ::CollectiveCommunication
| type of the collective communication

## Public Member Functions

| SubGridPart (const Grid &grid, std::vector< typename Codim< 0 >::Entity::EntitySeed > &&seeds, const bool overlap=true)
| Construct a view of the codim 0 entities that can be constructed from the seeds input.
const Grid & | grid () const
| obtain a const reference to the underlying hierarchic grid
int | size (int codim) const
| obtain the index set
template<int cd>
Codim< cd >::Iterator | begin () const
| obtain number of entities with a given geometry type
template<int cd>
Codim< cd >::Iterator | end () const
| obtain end iterator for this view
template<int cd, PartitionIteratorType pit>
Codim< cd >::template Partition< pit >::Iterator | begin () const
| obtain begin iterator for this view
template<int cd, PartitionIteratorType pit>
Codim< cd >::template Partition< pit >::Iterator | end () const
| obtain end iterator for this view
IntersectionIterator | ibegin (const typename Codim< 0 >::Entity &entity) const
| obtain begin intersection iterator with respect to this view
IntersectionIterator | iend (const typename Codim< 0 >::Entity &entity) const
| obtain end intersection iterator with respect to this view
const CollectiveCommunication & | comm () const
| obtain collective communication object
int | overlapSize (int codim) const
| Return size of the overlap region for a given codim on the grid view.
int | ghostSize (int codim) const
| Return size of the ghost region for a given codim on the grid view.

## Detailed Description

template<class GridImp>
class Dune::SubGridPart< GridImp >

A class to represent a part of a grid, similar to a GridView.

The differences from a GridView are:

- The SubGridPart consists of a set of elements (codim 0 entities), considered to be Interior, and their neighbours, considered to be Overlap.
- When iterating over intersections on the elements, and accessing the outside() elements, this can give you access to grid entities that are not in the SubGridPart itself. This can only happen for intersections in the Overlap part. For intersections of elements in the Interior part, the outside() element will be either Interior or Overlap.

## Constructor & Destructor Documentation

## SubGridPart()

template<class GridImp>

Dune::SubGridPart< GridImp >::SubGridPart | ( | const Grid & | grid,
|  | std::vector< typename Codim< 0 >::Entity::EntitySeed > && | seeds,
|  | const bool | overlap = true )

inline

Construct a view of the codim 0 entities that can be constructed from the seeds input.

The seeds input is moved from and will be in a valid but indeterminate state after the call.

## Member Function Documentation

## begin()

template<class GridImp>
template<int cd>

Codim< cd >::Iterator Dune::SubGridPart< GridImp >::begin | ( |  | ) | const

inline

obtain number of entities with a given geometry type

obtain begin iterator for this view

## size()

template<class GridImp>

int Dune::SubGridPart< GridImp >::size | ( | int | codim | ) | const

inline

obtain the index set

obtain number of entities in a given codimension

The documentation for this class was generated from the following file:

- opm/grid/common/SubGridPart.hpp